juzu.io

## Class OutputStream

- java.lang.Object
- - juzu.io.OutputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable, Stream

      public abstract class OutputStream
      extends Object
      implements Stream, Closeable

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUFFER_SIZE` .

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `append(byte[] data)`
    `abstract void` | `append(byte[] data, int off, int len)`
    `abstract void` | `append(ByteBuffer buffer)`
    `abstract void` | `append(char c)`
    `abstract void` | `append(CharBuffer buffer)`
    `abstract void` | `append(CharSequence csq)`
    `abstract void` | `append(CharSequence csq, int start, int end)`
    `void` | `close(Thread.UncaughtExceptionHandler errorHandler)` Signal the work is done, the caller can be aware of error that were not caught.
    `static juzu.impl.io.SinkStream` | `create()`
    `static OutputStream` | `create(Charset charset, Appendable out)`
    `static OutputStream` | `create(Charset charset, Appendable out, Flushable flushable, Closeable closeable)`
    `static OutputStream` | `create(Charset charset, OutputStream out)`
    `void` | `provide(Chunk chunk)` Provide a chunk.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Field Detail

    - #### BUFFER_SIZE

          public static final int BUFFER_SIZE

      .
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OutputStream

          public OutputStream()

  - ### Method Detail

    - #### create

          public static OutputStream create(Charset charset,
                            Appendable out)

    - #### create

          public static OutputStream create(Charset charset,
                            Appendable out,
                            Flushable flushable,
                            Closeable closeable)

    - #### create

          public static OutputStream create(Charset charset,
                            OutputStream out)

    - #### create

          public static juzu.impl.io.SinkStream create()

    - #### provide

          public void provide(Chunk chunk)

      Description copied from interface: `Stream`
      Provide a chunk.
      Specified by:
        `provide` in interface `Stream`
      Parameters:
        `chunk` - the chunk

    - #### close

          public void close(Thread.UncaughtExceptionHandler errorHandler)

      Description copied from interface: `Stream`
      Signal the work is done, the caller can be aware of error that were not caught. The `errorHandler` argument can be null.
      Specified by:
        `close` in interface `Stream`
      Parameters:
        `errorHandler` - the optional error handler

    - #### append

          public abstract void append(CharBuffer buffer)
                               throws IOException

      Throws:
        `IOException`

    - #### append

          public abstract void append(CharSequence csq)
                               throws IOException

      Throws:
        `IOException`

    - #### append

          public abstract void append(CharSequence csq,
                    int start,
                    int end)
                               throws IOException

      Throws:
        `IOException`

    - #### append

          public abstract void append(ByteBuffer buffer)
                               throws IOException

      Throws:
        `IOException`

    - #### append

          public abstract void append(char c)
                               throws IOException

      Throws:
        `IOException`

    - #### append

          public abstract void append(byte[] data)
                               throws IOException

      Throws:
        `IOException`

    - #### append

          public abstract void append(byte[] data,
                    int off,
                    int len)
                               throws IOException

      Throws:
        `IOException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.